Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Cursor Method (Transaction)
BaseDatabase Class See Also Send Feedback

Create a transactionally protected database cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public Cursor Cursor(
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function Cursor ( _
    	txn As Transaction _
    ) As Cursor

Visual C++
    public:
    Cursor^ Cursor(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  The transaction context in which the cursor may be used.

#### Return Value

A newly created cursor

# See Also

BaseDatabase Class
Cursor Overload
BerkeleyDB Namespace